--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Replace sequences of whitespace (including newlines) with either a single space or remove them entirely (according to param <em>spaced</em>)
- !ruby/struct:SM::Flow::VERB 
  body: "  &lt;&lt;QUERY.compress_lines\n    SELECT name\n    FROM users\n  QUERY =&gt; &quot;SELECT name FROM users&quot;\n"
- !ruby/struct:SM::Flow::P 
  body: "@param [TrueClass, FalseClass] spaced (default=true)"
- !ruby/struct:SM::Flow::VERB 
  body: "  Determines whether returned string has whitespace collapsed or removed\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [String] Receiver with whitespace (including newlines) replaced"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: String#compress_lines
is_singleton: false
name: compress_lines
params: (spaced = true)
visibility: public
